Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.instantiation
Class ProcessClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.jbpm.instantiation.ProcessClassLoader

    public class ProcessClassLoader

extends java.lang.ClassLoader

Nested Class Summary
`static class` | `ProcessClassLoader.BytesUrlConnection`
`static class` | `ProcessClassLoader.BytesUrlStreamHandler`

Constructor Summary
`ProcessClassLoader(java.lang.ClassLoader parent, ProcessDefinition processDefinition)`

Method Summary
`java.lang.Class` | `findClass(java.lang.String name)`
`java.net.URL` | `findResource(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessClassLoader

    public ProcessClassLoader(java.lang.ClassLoader parent,
                              ProcessDefinition processDefinition)

Method Detail

### findResource

    public java.net.URL findResource(java.lang.String name)

  Overrides:
    `findResource` in class `java.lang.ClassLoader`

### findClass

    public java.lang.Class findClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD